toolchain/gdb: use expat library to be able to parse target machine definitions
[openwrt/openwrt.git] / toolchain / binutils / Config.in
index 55e53ba..8d91223 100644 (file)
@@ -2,28 +2,12 @@
 
 choice
        prompt "Binutils Version" if TOOLCHAINOPTS
-       default BINUTILS_VERSION_2_19_1 if ubicom32
-       default BINUTILS_VERSION_2_20_1
+       default BINUTILS_VERSION_LINARO
        help
          Select the version of binutils you wish to use.
 
-       config BINUTILS_VERSION_2_19_1
-               bool "binutils 2.19.1"
-
-       config BINUTILS_VERSION_2_20_1
-               depends !ubicom32
-               bool "binutils 2.20.1"
-
-       config BINUTILS_VERSION_2_21
-               depends !ubicom32
-               depends !avr32 || (avr32 && BROKEN)
-               bool "binutils 2.21"
-
-       config BINUTILS_VERSION_CS
-               depends !avr32
-               depends !ubicom32
-               depends BROKEN
-               bool "binutils 2.19.1+20090205 with CodeSourcery enhancements"
+       config BINUTILS_VERSION_LINARO
+               bool "Linaro binutils 2.24"
 
 endchoice
 
@@ -37,9 +21,5 @@ config EXTRA_BINUTILS_CONFIG_OPTIONS
 config BINUTILS_VERSION
        string
        prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
-       default "2.19.1"          if BINUTILS_VERSION_2_19_1
-       default "2.20.1"          if BINUTILS_VERSION_2_20_1
-       default "2.21"            if BINUTILS_VERSION_2_21
-       default "2.19.1+cs"       if BINUTILS_VERSION_CS
-       default "2.19.1"          if ubicom32
-       default "2.20.1"
+       default "linaro"          if BINUTILS_VERSION_LINARO
+       default "linaro"